Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.birt.core.ui.swt.custom
Class CustomChooserComposite

    java.lang.Object
      Composite
          org.eclipse.birt.core.ui.swt.custom.CustomChooserComposite

Direct Known Subclasses:
  TextCombo

    public abstract class CustomChooserComposite

extends Composite

CustomChooserComposite

Field Summary
`static int` | `DROPDOWN_EVENT` This event occures when the dropdown is about to show.
`static int` | `SELECTION_EVENT` This event occurs when the selection is set.

Constructor Summary
`` | `CustomChooserComposite(Composite parent, int style)`
`protected` | `CustomChooserComposite(Composite parent, int style, java.lang.Object choiceValue)`

Method Summary
`void` | `addListener(int eventType, Listener listener)`
`protected abstract ICustomChoice` | `createChoice(Composite parent, java.lang.Object choiceValue)`
`int` | `getChoiceIndex()`
`java.lang.Object` | `getChoiceValue()` Returns the current selected choice
`java.lang.Object` | `getItem(int index)`
`int` | `getItemCount()`
`java.lang.Object[]` | `getItems()`
`boolean` | `isEnabled()`
`void` | `removeListener(int eventType, Listener listener)`
`void` | `select(int index)`
`void` | `setChoiceValue(java.lang.Object iValue)` Sets the value as selected choice, and redraws UI.
`void` | `setEnabled(boolean bState)`
`void` | `setItems(java.lang.Object[] items)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### SELECTION_EVENT

    public static final int SELECTION_EVENT

  This event occurs when the selection is set.

  See Also:
    Constant Field Values

### DROPDOWN_EVENT

    public static final int DROPDOWN_EVENT

  This event occures when the dropdown is about to show.

  See Also:
    Constant Field Values

Constructor Detail

### CustomChooserComposite

    public CustomChooserComposite(Composite parent,
                                  int style)

### CustomChooserComposite

    protected CustomChooserComposite(Composite parent,
                                     int style,
                                     java.lang.Object choiceValue)

Method Detail

### createChoice

    protected abstract ICustomChoice createChoice(Composite parent,
                                                  java.lang.Object choiceValue)

### setItems

    public void setItems(java.lang.Object[] items)

### getItems

    public java.lang.Object[] getItems()

### getItemCount

    public int getItemCount()

### getItem

    public java.lang.Object getItem(int index)

### setEnabled

    public void setEnabled(boolean bState)

### isEnabled

    public boolean isEnabled()

### select

    public void select(int index)

### getChoiceIndex

    public int getChoiceIndex()

### getChoiceValue

    public java.lang.Object getChoiceValue()

  Returns the current selected choice

### setChoiceValue

    public void setChoiceValue(java.lang.Object iValue)

  Sets the value as selected choice, and redraws UI.

  Parameters:
    `iValue` - value as selected choice

### addListener

    public void addListener(int eventType,
                            Listener listener)

### removeListener

    public void removeListener(int eventType,
                               Listener listener)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008 Actuate Corp. All rights reserved.